> For the complete documentation index, see [llms.txt](https://docs.drivequant.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.drivequant.com/backend/driver/vehicles.md).

# Vehicles

This service is designed to retrieve the vehicles linked to a user's account and the vehicle configuration parameters.

{% hint style="info" %}
If you have your **admin API key**, you can try the API via this [**link**](https://drivequant.stoplight.io/docs/drivequant-public/branches/main/abb6dd9a273a2-get-driver-vehicles).
{% endhint %}

## User vehicles

<mark style="color:blue;">`GET`</mark> `https://service.drivequant.com/v3/drivekit/admin/drivers/{userId}/vehicles`

Get all vehicles configured by the user

#### Path Parameters

| Name                                     | Type   | Description            |
| ---------------------------------------- | ------ | ---------------------- |
| userId<mark style="color:red;">\*</mark> | String | User unique identifier |

#### Headers

| Name                                                      | Type   | Description   |
| --------------------------------------------------------- | ------ | ------------- |
| DriveKit-Admin-API-Key <mark style="color:red;">\*</mark> | String | Admin API key |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "id": "vehicleId",
  "name": "vehicle name",
  "detectionMode": "BEACON",
  "creationDate": "2019-08-24T14:15:22Z",
  "status": "ACTIVE",
  "beaconIdentifier": {
    "proximityUuid": "uuid",
    "major": 0,
    "minor": 0
  },
  "bluetoothIdentifier": {
    "macAddress": "bluetooth mac address",
    "name": "bluetooth name"
  },
  "beaconPairingDate": "2019-08-24T14:15:22Z"
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}
Invalid API key
{% endtab %}

{% tab title="404: Not Found " %}
User not found
{% endtab %}
{% endtabs %}

## Response

The table below summarizes the list of vehicle configuration parameters.

<table><thead><tr><th width="205.33333333333331">Field </th><th width="183">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td><code>string</code></td><td>Vehicle unique identifier</td></tr><tr><td>name</td><td><code>string</code></td><td>Vehicle name</td></tr><tr><td>detectionMode</td><td><code>string</code></td><td>Vehicle detection mode. Possible values are: GPS, BEACON, BLUETOOTH, DISABLED</td></tr><tr><td>creationDate</td><td><code>string</code></td><td>Vehicle creation date</td></tr><tr><td>status</td><td><code>string</code></td><td>ACTIVE or DELETED</td></tr><tr><td>beaconIdentifier</td><td><a href="#beaconidentifier">BeaconIdentifier</a></td><td>Beacon identifier</td></tr><tr><td>beaconPairingDate</td><td><code>string</code></td><td>Beacon pairing date</td></tr><tr><td>bluetoothIdentifier</td><td><a href="#bluetoothidentifier">BluetoothIdentifier</a></td><td>Bluetooth identifier</td></tr></tbody></table>

### BeaconIdentifier

<table><thead><tr><th width="181.33333333333331">Field</th><th width="185">Type</th><th>Description</th></tr></thead><tbody><tr><td>proximityUuid</td><td><code>string</code></td><td>beacon proximity uuid</td></tr><tr><td>major</td><td><code>int</code></td><td>beacon major </td></tr><tr><td>minor</td><td><code>int</code></td><td>beacon minor</td></tr></tbody></table>

### BluetoothIdentifier

<table><thead><tr><th width="146.33333333333331">Field</th><th width="115">Type</th><th>Description</th></tr></thead><tbody><tr><td>macAddress</td><td><code>string</code></td><td>Mac address of the Bluetooth device</td></tr><tr><td>name</td><td><code>string</code></td><td>Name of the Bluetooth device</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.drivequant.com/backend/driver/vehicles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
